<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::string Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html">string</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::string Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa54773055b57c6d6e0793819ccc47c75"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#aa54773055b57c6d6e0793819ccc47c75">stringToInt</a> (const std::string &amp;str, int *result)</td></tr>
<tr class="separator:aa54773055b57c6d6e0793819ccc47c75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b0a38568aab26aa9371470c4493f234"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a5b0a38568aab26aa9371470c4493f234">stringToInt</a> (const char *str, int *result)</td></tr>
<tr class="separator:a5b0a38568aab26aa9371470c4493f234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d96285d85475e9d145a8e01311cf4a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8d96285d85475e9d145a8e01311cf4a1">stringToInt64</a> (const std::string &amp;str, int64_t *result)</td></tr>
<tr class="separator:a8d96285d85475e9d145a8e01311cf4a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7407a74bb9f68ed89e46444ba78ae7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a6f7407a74bb9f68ed89e46444ba78ae7">stringToInt64</a> (const char *str, int64_t *result)</td></tr>
<tr class="separator:a6f7407a74bb9f68ed89e46444ba78ae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e9905aba0bab1ca8d423ee2dda1e289"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8e9905aba0bab1ca8d423ee2dda1e289">byteVectorToString</a> (const std::vector&lt; uint8_t &gt; &amp;byteVector)</td></tr>
<tr class="separator:a8e9905aba0bab1ca8d423ee2dda1e289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a26b31f8413cc8b4cf637f81014b17"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a01a26b31f8413cc8b4cf637f81014b17">stringToLowerCase</a> (const std::string &amp;input)</td></tr>
<tr class="separator:a01a26b31f8413cc8b4cf637f81014b17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcaf902f39fde3eb0e0f8ef0706a5e4d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#abcaf902f39fde3eb0e0f8ef0706a5e4d">stringToUpperCase</a> (const std::string &amp;input)</td></tr>
<tr class="separator:abcaf902f39fde3eb0e0f8ef0706a5e4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f5ea6950b7df3df0154def1c4a5673"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a79f5ea6950b7df3df0154def1c4a5673">replaceAllSubstring</a> (const std::string &amp;str, const std::string &amp;from, const std::string &amp;to)</td></tr>
<tr class="separator:a79f5ea6950b7df3df0154def1c4a5673"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a989aa0bd3d6bf984cac13cf4d4171870"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a989aa0bd3d6bf984cac13cf4d4171870">TAG</a> (&quot;StringUtils&quot;)</td></tr>
<tr class="memdesc:a989aa0bd3d6bf984cac13cf4d4171870"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a989aa0bd3d6bf984cac13cf4d4171870">More...</a><br /></td></tr>
<tr class="separator:a989aa0bd3d6bf984cac13cf4d4171870"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a10e3fbadbc3e8f73fed598fce8e88c4e"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a10e3fbadbc3e8f73fed598fce8e88c4e">BASE_TEN</a> = 10</td></tr>
<tr class="separator:a10e3fbadbc3e8f73fed598fce8e88c4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8e9905aba0bab1ca8d423ee2dda1e289"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e9905aba0bab1ca8d423ee2dda1e289">&#9670;&nbsp;</a></span>byteVectorToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::string::byteVectorToString </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; uint8_t &gt; &amp;&#160;</td>
          <td class="paramname"><em>byteVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a vector of bytes to a printable string. For example, the vector {1, 2, 3} will return the string "0x01 0x02 0x03"</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">byteVector</td><td>a vector of bytes </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a string of the hex values of each byte printed. </dd></dl>

</div>
</div>
<a id="a79f5ea6950b7df3df0154def1c4a5673"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79f5ea6950b7df3df0154def1c4a5673">&#9670;&nbsp;</a></span>replaceAllSubstring()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::string::replaceAllSubstring </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>to</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Replaces all occurrences of a substring with another string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">str</td><td>The reference string. </td></tr>
    <tr><td class="paramname">from</td><td>The string to find. </td></tr>
    <tr><td class="paramname">to</td><td>The replacement string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A new string with the replaced substrings. </dd></dl>

</div>
</div>
<a id="aa54773055b57c6d6e0793819ccc47c75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa54773055b57c6d6e0793819ccc47c75">&#9670;&nbsp;</a></span>stringToInt() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::string::stringToInt </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a std::string to an integer. If the string is successfully parsed, then the out parameter will be updated.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">str</td><td>The string input. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">result</td><td>The resulting integer, if successfully parsed from the string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the string was parsed as an integer, otherwise <code>false</code>. </dd></dl>

</div>
</div>
<a id="a5b0a38568aab26aa9371470c4493f234"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b0a38568aab26aa9371470c4493f234">&#9670;&nbsp;</a></span>stringToInt() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::string::stringToInt </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a c-string to an integer. If the string is successfully parsed, then the out parameter will be updated.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">str</td><td>The C-string input. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">result</td><td>The resulting integer, if successfully parsed from the string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the string was parsed as an integer, otherwise <code>false</code>. </dd></dl>

</div>
</div>
<a id="a8d96285d85475e9d145a8e01311cf4a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d96285d85475e9d145a8e01311cf4a1">&#9670;&nbsp;</a></span>stringToInt64() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::string::stringToInt64 </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int64_t *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a string to an integer 64 bits. If the string is successfully parsed, then the out parameter will be updated.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">str</td><td>The string input. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">result</td><td>The resulting integer, if successfully parsed from the string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the string was parsed as an integer, otherwise <code>false</code>. </dd></dl>

</div>
</div>
<a id="a6f7407a74bb9f68ed89e46444ba78ae7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f7407a74bb9f68ed89e46444ba78ae7">&#9670;&nbsp;</a></span>stringToInt64() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::string::stringToInt64 </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int64_t *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a c-string to an integer 64 bits. If the string is successfully parsed, then the out parameter will be updated.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">str</td><td>The C-string input. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">result</td><td>The resulting integer, if successfully parsed from the string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the string was parsed as an integer, otherwise <code>false</code>. </dd></dl>

</div>
</div>
<a id="a01a26b31f8413cc8b4cf637f81014b17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a26b31f8413cc8b4cf637f81014b17">&#9670;&nbsp;</a></span>stringToLowerCase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::string::stringToLowerCase </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>input</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a string into lower case.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">input</td><td>The input string to be converted. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The converted string in lower case. </dd></dl>

</div>
</div>
<a id="abcaf902f39fde3eb0e0f8ef0706a5e4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcaf902f39fde3eb0e0f8ef0706a5e4d">&#9670;&nbsp;</a></span>stringToUpperCase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::string::stringToUpperCase </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>input</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to convert a string into upper case.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">input</td><td>The input string to be converted. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The converted string in upper case. </dd></dl>

</div>
</div>
<a id="a989aa0bd3d6bf984cac13cf4d4171870"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a989aa0bd3d6bf984cac13cf4d4171870">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::avsCommon::utils::string::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;StringUtils&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a10e3fbadbc3e8f73fed598fce8e88c4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10e3fbadbc3e8f73fed598fce8e88c4e">&#9670;&nbsp;</a></span>BASE_TEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::avsCommon::utils::string::BASE_TEN = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
